Debian Bug report logs - #226382
[Fixed in gnumeric CVS HEAD] segfaults on 64-bit platforms when clicking on "Page Setup"

version graph

Package: gnumeric; Maintainer for gnumeric is Dmitry Smirnov <onlyjob@debian.org>; Source for gnumeric is src:gnumeric.

Reported by: David Mosberger-Tang <David.Mosberger@acm.org>

Date: Tue, 6 Jan 2004 10:03:22 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Merged with 226671

Found in versions 1.2.4-1, 1.2.4-3

Fixed in version gnumeric/1.2.4-4

Done: jdassen@debian.org (J.H.M. Dassen (Ray))

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#226382; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to David Mosberger-Tang <David.Mosberger@acm.org>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Mosberger-Tang <David.Mosberger@acm.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnumeric: segfaults on 64-bit platforms when clicking on "Page Setup"
Date: Tue, 06 Jan 2004 01:09:02 -0800
Package: gnumeric
Version: 1.2.4-1
Severity: normal
Tags: patch

gnumeric crashes when clicking on File->Page Setup.  The patch below
fixes the problem.  The problem is that without include of
gtkmenuitem.h, gtk_menu_item_new_with_label() was implicitly declared
to return an "int", but since it returns a pointer in reality, the top
32 bits got sign-extended/corrupted on 64-bit platforms.  Simply including
the appropriate header-file fixes the problem.

Thanks,

	--david

--- gnumeric-1.2.4/src/dialogs/dialog-printer-setup.c	2003-10-26 22:45:16.000000000 -0800
+++ gnumeric-1.2.4-davidm/src/dialogs/dialog-printer-setup.c	2004-01-06 00:46:31.527247142 -0800
@@ -53,6 +53,7 @@
 #include <gtk/gtktable.h>
 #include <gtk/gtktogglebutton.h>
 #include <gtk/gtkoptionmenu.h>
+#include <gtk/gtkmenuitem.h>
 #include <stdio.h>
 
 /* FIXME: do not hardcode pixel counts.  */


-- System Information:
Debian Release: testing/unstable
Architecture: ia64
Kernel: Linux panda.mostang.com 2.6.0 #15 Sun Dec 21 10:27:08 PST 2003 ia64
Locale: LANG=C, LC_CTYPE=C

Versions of packages gnumeric depends on:
ii  gconf2                  2.4.0.1-2        GNOME configuration database syste
ii  gsfonts                 6.0-2.1          Fonts for the ghostscript interpre
ii  libart-2.0-2            2.3.16-1         Library of functions for 2D graphi
ii  libatk1.0-0             1.4.1-1          The ATK accessibility toolkit
ii  libaudiofile0           0.2.3-4          The Audiofile Library
ii  libbonobo2-0            2.4.2-1          Bonobo CORBA interfaces library
ii  libbonoboui2-0          2.4.2-1          The Bonobo UI library
ii  libbz2-1.0              1.0.2-1          A high-quality block-sorting file 
ii  libc6.1                 2.3.2.ds1-10.0.1 GNU C Library: Shared libraries an
ii  libesd0                 0.2.29-1         Enlightened Sound Daemon - Shared 
ii  libfontconfig1          2.2.1-8          generic font configuration library
ii  libfreetype6            2.1.7-1          FreeType 2 font engine, shared lib
ii  libgconf2-4             2.4.0.1-2        GNOME configuration database syste
ii  libgcrypt1              1.1.12-4         LGPL Crypto library - runtime libr
ii  libglade2-0             2.0.1-6          Library to load .glade files at ru
ii  libglib2.0-0            2.2.3-1          The GLib library of C routines
ii  libgnome2-0             2.4.0-4          The GNOME 2 library - runtime file
ii  libgnomecanvas2-0       2.4.0-1          A powerful object-oriented display
ii  libgnomeprint2.2-0      2.4.2-2          The GNOME 2.2 print architecture -
ii  libgnomeprintui2.2-0    2.4.2-1          The GNOME 2.2 print architecture U
ii  libgnomeui-0            2.4.0.1-5        The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0          2.4.1-4          The GNOME virtual file-system libr
ii  libgnomevfs2-common     2.4.1-4          The GNOME virtual file-system libr
ii  libgnutls7              0.8.12-3.1       GNU TLS library - runtime library
ii  libgsf-1                1.8.2-5          Structured File Library - runtime 
ii  libgsf-gnome-1          1.8.2-5          Structured File Library - runtime 
ii  libgtk2.0-0             2.2.4-2          The GTK+ graphical user interface 
ii  liborbit2               1:2.8.2-1.1      Libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0           1.2.5-2          Layout and rendering of internatio
ii  libpopt0                1.7-3            lib for parsing cmdline parameters
ii  libtasn1-0              0.1.2-1          Manage ASN.1 structures (runtime)
ii  libxml2                 2.6.3-1          GNOME XML library
ii  xlibs                   4.2.1-12.1       X Window System client libraries
ii  zlib1g                  1:1.2.1-1        compression library - runtime

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#226382; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to 226382@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #10 received at 226382@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <jdassen@debian.org>
To: control@bugs.debian.org
Cc: 226382@bugs.debian.org, David Mosberger-Tang <David.Mosberger@acm.org>
Subject: Re: Bug#226382: gnumeric: segfaults on 64-bit platforms when clicking on "Page Setup"
Date: Tue, 6 Jan 2004 12:13:49 +0100
tags 226382 + upstream fixed-upstream
retitle 226382 [Fixed in gnumeric CVS HEAD] segfaults on 64-bit platforms when clicking on "Page Setup"
thanks

On Tue, Jan 06, 2004 at 01:09:02 -0800, David Mosberger-Tang wrote:
> gnumeric crashes when clicking on File->Page Setup.  The patch below
> fixes the problem.  The problem is that without include of
> gtkmenuitem.h, gtk_menu_item_new_with_label() was implicitly declared
> to return an "int", but

dialog-stf-format-page.c seems to have the same bug. I've fixed CVS head and
will ask for the changes to go into the next stable release as well.

http://cvs.gnome.org/bonsai/cvsview2.cgi?diff_mode=context&whitespace_mode=show&root=/cvs/gnome&subdir=gnumeric/src/dialogs&command=DIFF_FRAMESET&file=ChangeLog&rev2=1.911&rev1=1.910

http://cvs.gnome.org/bonsai/cvsview2.cgi?diff_mode=context&whitespace_mode=show&root=/cvs/gnome&subdir=gnumeric/src/dialogs&command=DIFF_FRAMESET&file=dialog-printer-setup.c&rev2=1.133&rev1=1.132

http://cvs.gnome.org/bonsai/cvsview2.cgi?diff_mode=context&whitespace_mode=show&root=/cvs/gnome&subdir=gnumeric/src/dialogs&command=DIFF_FRAMESET&file=dialog-stf-format-page.c&rev2=1.63&rev1=1.62

Thanks,
Ray
-- 
AJ: Geeez, Erwin. He wasn't even ARMED.
Erwin: I don't care. I have lots of ammo and he was wearing a TIE.
	http://ars.userfriendly.org/cartoons/?id=20010209



Tags added: upstream, fixed-upstream Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to jdassen@debian.org (J.H.M. Dassen (Ray)):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Mosberger-Tang <David.Mosberger@acm.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 226382-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 226382-close@bugs.debian.org
Subject: Bug#226382: fixed in gnumeric 1.2.4-4
Date: Tue, 06 Jan 2004 13:47:54 -0500
Source: gnumeric
Source-Version: 1.2.4-4

We believe that the bug you reported is fixed in the latest version of
gnumeric, which is due to be installed in the Debian FTP archive:

gnumeric-doc_1.2.4-4_all.deb
  to pool/main/g/gnumeric/gnumeric-doc_1.2.4-4_all.deb
gnumeric-plugins-extra_1.2.4-4_i386.deb
  to pool/main/g/gnumeric/gnumeric-plugins-extra_1.2.4-4_i386.deb
gnumeric_1.2.4-4.diff.gz
  to pool/main/g/gnumeric/gnumeric_1.2.4-4.diff.gz
gnumeric_1.2.4-4.dsc
  to pool/main/g/gnumeric/gnumeric_1.2.4-4.dsc
gnumeric_1.2.4-4_i386.deb
  to pool/main/g/gnumeric/gnumeric_1.2.4-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 226382@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated gnumeric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  6 Jan 2004 19:03:39 +0100
Source: gnumeric
Binary: gnumeric-doc gnumeric gnumeric-plugins-extra
Architecture: source i386 all
Version: 1.2.4-4
Distribution: unstable
Urgency: medium
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 gnumeric   - A GNOME spreadsheet application
 gnumeric-doc - Documentation for Gnumeric, the GNOME spreadsheet application
 gnumeric-plugins-extra - Additional plugins for the GNOME spreadsheet
Closes: 226194 226382
Changes: 
 gnumeric (1.2.4-4) unstable; urgency=medium
 .
   * [src/dialogs/dialog-printer-setup.c, src/dialogs/dialog-stf-format-page.c]
     #include <gtk/gtkmenuitem.h> to get a proper declaration of
     gtk_menu_item_new_with_label and thereby fix crashes on 64-bit platforms.
     (Closes: #226382)
   * [debian/control] Versioned the intltool build dependency. (Closes: #226194)
Files: 
 485280f39cdca030194ee6444ea7bc4f 1233 math optional gnumeric_1.2.4-4.dsc
 bfd5e231b14e5f990ab85e404f254b75 230731 math optional gnumeric_1.2.4-4.diff.gz
 e1ea07ef26f6262519d9b0d75982beb5 3336638 doc optional gnumeric-doc_1.2.4-4_all.deb
 d145936620a7f088a127e844e8315b29 8963162 math optional gnumeric_1.2.4-4_i386.deb
 96832cebc14ff87166fd5218ba19b843 180950 math optional gnumeric-plugins-extra_1.2.4-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQE/+v7z/HzwHc5k3nkRAtVLAJ0cQJtY3R4VTsYvYx92/n/RGB63GgCgvLpB
R0RHqqMSmbBdju4OwjNnkjU=
=K40A
-----END PGP SIGNATURE-----




Severity set to `important'. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 226382 226671. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:20:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.